package com.iamberry.app.core.entity;

import java.util.Date;

import org.springframework.beans.factory.annotation.Qualifier;

/**
 * @author Sikandar
 *
 */
@Qualifier("user")
public class User implements IEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -654282581618492516L;
	private Long id;								//id
	private String username;						//用户名
	private String password;						//密码
	private String token;							//token
	private String display_name;					//真实姓名
	private String display_picture;					//个人头像
	private Date created_on;						//创建时间
	private String ext_open_id;						//openId
	private String ext_name;						//名称
	private String ext_type;						//类型
	private String location;						//位置
	private String baby_nickname;					//宝宝昵称
	private Date baby_dob;							//宝宝生日
	private String baby_gender;						//宝宝性别
	private String status_;							//状态
	// 本字段对外接口公布，对系统内部没有意义
	private Integer is_perfect_user;				//是否完善用户信息 1.位完善。2.已完善
	private String country_code;       				//国家代码!!
	private String userTel;							//用户完善手机号码
	
	public User() {
	}

	public User(String username, String password, Date created_on, String status_) {
		super();
		this.username = username;
		this.password = password;
		this.created_on = created_on;
		this.status_ = status_;
	}

	public User(String username, String password, Date created_on, String ext_open_id, String ext_type,
			String status_,Integer is_perfect_user) {
		super();
		this.username = username;
		this.password = password;
		this.created_on = created_on;
		this.ext_open_id = ext_open_id;
		this.ext_type = ext_type;
		this.status_ = status_;
		this.is_perfect_user = is_perfect_user;
	}

	public User(Long id, String username, String password, String token, String display_name, String display_picture,
			Date created_on, String ext_open_id, String ext_name, String ext_type, String location,
			String baby_nickname, Date baby_dob, String baby_gender, String status_,Integer is_perfect_user) {
		super();
		this.id = id;
		this.username = username;
		this.password = password;
		this.token = token;
		this.display_name = display_name;
		this.display_picture = display_picture;
		this.created_on = created_on;
		this.ext_open_id = ext_open_id;
		this.ext_name = ext_name;
		this.ext_type = ext_type;
		this.location = location;
		this.baby_nickname = baby_nickname;
		this.baby_dob = baby_dob;
		this.baby_gender = baby_gender;
		this.status_ = status_;
		this.is_perfect_user = is_perfect_user;
	}

	
	
	
	public String getCountry_code() {
		return country_code;
	}

	public void setCountry_code(String country_code) {
		this.country_code = country_code;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getDisplay_name() {
		return display_name;
	}

	public void setDisplay_name(String display_name) {
		this.display_name = display_name;
	}

	public String getDisplay_picture() {
		return display_picture;
	}

	public void setDisplay_picture(String display_picture) {
		this.display_picture = display_picture;
	}

	public Date getCreated_on() {
		return created_on;
	}

	public void setCreated_on(Date created_on) {
		this.created_on = created_on;
	}

	public String getExt_open_id() {
		return ext_open_id;
	}

	public void setExt_open_id(String ext_open_id) {
		this.ext_open_id = ext_open_id;
	}

	public String getExt_name() {
		return ext_name;
	}

	public void setExt_name(String ext_name) {
		this.ext_name = ext_name;
	}

	public String getExt_type() {
		return ext_type;
	}

	public void setExt_type(String ext_type) {
		this.ext_type = ext_type;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getBaby_nickname() {
		return baby_nickname;
	}

	public void setBaby_nickname(String baby_nickname) {
		this.baby_nickname = baby_nickname;
	}

	public Date getBaby_dob() {
		return baby_dob;
	}

	public void setBaby_dob(Date baby_dob) {
		this.baby_dob = baby_dob;
	}

	public String getBaby_gender() {
		return baby_gender;
	}

	public void setBaby_gender(String baby_gender) {
		this.baby_gender = baby_gender;
	}

	public String getStatus_() {
		return status_;
	}

	public void setStatus_(String status_) {
		this.status_ = status_;
	}

	public Integer getIs_perfect_user() {
		return is_perfect_user;
	}

	public void setIs_perfect_user(Integer is_perfect_user) {
		this.is_perfect_user = is_perfect_user;
	}

	public String getUserTel() {
		return userTel;
	}

	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}
}
